summaryrefslogtreecommitdiff
path: root/release-scripts
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2011-01-18 14:20:12 +0100
committerMichael Adam <obnox@samba.org>2011-01-18 15:07:09 +0100
commit757cfc296a6dcf2810a1a2e554ebd586125a91d3 (patch)
treeffe1b61b3baf2b08ef4f241f6faf7dee63e27d27 /release-scripts
parent30e9ab185761664311a260ac5a005a081e0e217e (diff)
downloadsamba-757cfc296a6dcf2810a1a2e554ebd586125a91d3.tar.gz
release-scripts: add build-htmlman-nogit
non-git version of a script to ease building of html version of manpages Autobuild-User: Michael Adam <obnox@samba.org> Autobuild-Date: Tue Jan 18 15:07:09 CET 2011 on sn-devel-104
Diffstat (limited to 'release-scripts')
-rwxr-xr-xrelease-scripts/build-htmlman-nogit55
1 files changed, 55 insertions, 0 deletions
diff --git a/release-scripts/build-htmlman-nogit b/release-scripts/build-htmlman-nogit
new file mode 100755
index 00000000000..afd388bf3b0
--- /dev/null
+++ b/release-scripts/build-htmlman-nogit
@@ -0,0 +1,55 @@
+#!/bin/sh
+#
+# Copyright (C) Michael Adam 2011
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 3 of the License, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
+# more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, see <http://www.gnu.org/licenses/>.
+#
+
+_exit() {
+ echo $@
+ popd
+ exit 1
+}
+
+DIRNAME=$(dirname $0)
+DOCS_XML_DIR=${DIRNAME}/../docs-xml
+DOCS_DIR=${DIRNAME}/../docs
+
+pushd ${DOCS_XML_DIR} || exit 1
+
+autoconf || _exit "Error running autoconf."
+
+./configure || _exit "Error running configure."
+
+export XML_CATALOG_FILES="file:///etc/xml/catalog file://$(pwd)/build/catalog.xml"
+
+make clean || _exit "Error running make clean"
+
+# re-establish catalog (has been removed by make clean...)
+./config.status
+
+make htmlman3 || _exit "Error running make htmlman3"
+
+popd
+
+test -e ${DOCS_DIR}/htmldocs/manpages && rm -rf ${DOCS_DIR}/htmldocs/manpages
+mkdir -p ${DOCS_DIR}/htmldocs/manpages
+
+rsync -Ca ${DOCS_XML_DIR}/output/htmldocs/samba.css ${DOCS_DIR}/htmldocs/
+rsync -Ca ${DOCS_XML_DIR}/output/htmldocs/manpages-3/ ${DOCS_DIR}/htmldocs/manpages
+
+echo "Success"
+exit
+
+# END